DIME(1)

NAME
dxfsphere - generate a triangle mesh approximating a sphere by recursive subdivision in .dxf format using libdime

SYNOPSIS
dxfsphere [-c] [-t] [-i] [-o outfile] level

DESCRIPTION
This manual page documents briefly the dxfsphere command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page. Instead, it has documentation in the GNU Info format; see below.

dxfsphere is a program that
 generate a triangle mesh approximating a sphere by
 recursive subdivision. First approximation is an platonic
 solid; each level of refinement increases the number of
 triangles by a factor of 4.

 Level 3 (128 triangles for an octahedron) is a good tradeoff if
 gouraud shading is used to render the database.

OPTIONS

level
    level is an integer >= 1 setting the recursion level (default 1).

-c,
     causes triangles to be generated with vertices in counterclockwise
     order as viewed from the outside in a RHS coordinate system.
     The default is clockwise order.

-t, starts with a tetrahedron instead of an octahedron

-i, starts with a icosahedron instead of an octahedron

-o, outfile (default is stdout)

-h, Show useage.

SEE ALSO
files in: /usr/share/doc/libdime/, /usr/share/doc/libdime-dev/.
The programs are documented fully by http://www.coin3d.org/lib/dime/, available via the Internet.

AUTHOR
This manual page was written by A. Maitland Bottoms <bottoms@debian.org>, for the Debian GNU/Linux system (but may be used by others).